Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi.dgc
Class Lease

    java.lang.Object
      java.rmi.dgc.Lease

All Implemented Interfaces:
  Serializable

    public final class Lease

extends Object
implements Serializable

A lease contains a unique VM identifier and a lease duration. A Lease object is used to request and grant leases to remote object references.

See Also:
  Serialized Form

Constructor Summary
`Lease(VMID id, long duration)` Constructs a lease with a specific VMID and lease duration.

Method Summary
`long` | `getValue()` Returns the lease duration.
`VMID` | `getVMID()` Returns the client VMID associated with the lease.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Lease

    public Lease(VMID id,
                 long duration)

  Constructs a lease with a specific VMID and lease duration. The vmid may be null.

  Parameters:
    `id` - VMID associated with this lease
    `duration` - lease duration

Method Detail

### getVMID

    public VMID getVMID()

  Returns the client VMID associated with the lease.

  Returns:
    client VMID

### getValue

    public long getValue()

  Returns the lease duration.

  Returns:
    lease duration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.